---
title: Retrieve a Single AI Style Group in an Organization
description: Retrieves a single AI style group available in the specified organization
url: https://storyblok.com/docs/api/management/ai-style-groups/organizations/retrieve-single-ai-style-group-organization
---

# Retrieve a Single AI Style Group in an Organization

GET

```html
https://mapi.storyblok.com/v1/orgs/me/ai_style_groups/:ai_style_group_id
```

Retrieve a specific AI style group available in the specified organization.

## Path parameters

-   `:ai_style_group_id` (required) (number)
    
    The ID of the AI style group
    

## Response properties

-   `ai_style_group` (The AI Style Group Object)
    
    The [AI style group object](/docs/api/management/ai-style-groups/ai-style-group-object)
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/orgs/me/ai_style_groups/123456" \
      -H "Authorization: YOUR_OAUTH_TOKEN"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.get('orgs/me/ai_style_groups/123456', {})
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $client->get('orgs/me/ai_style_groups/123456')->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.get("https://mapi.storyblok.com/v1/orgs/me/ai_style_groups/123456")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/orgs/me/ai_style_groups/123456");
    var request = new RestRequest(Method.GET);
    
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/orgs/me/ai_style_groups/123456"
    
    querystring = {}
    
    payload = ""
    headers = {
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    client.get('orgs/me/ai_style_groups/123456')
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    let request = URLRequest(storyblok: storyblok, path: "orgs/me/ai_style_groups/123456")
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.get("orgs/me/ai_style_groups/123456")
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: Retrieve Multiple AI Style Groups in an Organization](/docs/api/management/ai-style-groups/organizations/retrieve-multiple-ai-style-groups-organization)
-   [Next: Set Default AI Style Groups for an Organization](/docs/api/management/ai-style-groups/organizations/set-default-ai-style-groups-organization)
